/*
 * Copyright (c) 2023, WSO2 LLC. (https://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.identity.application.authentication.framework.model;

import java.util.HashMap;
import java.util.Map;

/**
 * Holds the additional data related to an authenticator which requires to populate {@Code AuthenticatorData}
 * during an authentication flow. This contains additional authentication data specific to authentication flow.
 */
public class AdditionalData {

    private String redirectUrl;
    private Map<String, String> additionalAuthenticationParams = new HashMap<>();

    public String getRedirectUrl() {

        return redirectUrl;
    }

    public void setRedirectUrl(String redirectUrl) {

        this.redirectUrl = redirectUrl;
    }

    public Map<String, String> getAdditionalAuthenticationParams() {

        return additionalAuthenticationParams;
    }

    public void setAdditionalAuthenticationParams(Map<String, String> additionalAuthenticationParams) {

        this.additionalAuthenticationParams = additionalAuthenticationParams;
    }
}
